<?php declare(strict_types=1);


namespace EuKit\Base\Parts;

/**
 * Class SimpleImage
 * @package EuKit\Base\Parts
 */
class SimpleImage
{
    public string $src;

    public int $width;

    public int $height;

    function __construct(array $data)
    {
        $this->src = (string)$data['src'] ?? '';
        $this->width = (int)$data['width'] ?? 0;
        $this->height = (int)$data['height'] ?? 0;
    }

    /**
     * For backwards compatibility.
     *
     * @return string
     */
    public function __toString(): string
    {
        return $this->src ?? '';
    }
}
